=== debian/changelog ===
gpac (0.5.0~dfsg0-1) unstable; urgency=low

  * New stable release.
  * debian/{rules,watch}:
    - Download new stable releases from upstream's website.
  * Refresh patches.

 -- Alessio Treglia <alessio@debian.org>  Sun, 27 May 2012 11:25:44 +0200

gpac (0.4.5+svn4035~dfsg0-1) unstable; urgency=low

  * New upstream snapshot.
  * Small improvements to debian/watch.
  * debian/copyright: Group files by License, try to better organize
    stanzas.

 -- Alessio Treglia <alessio@debian.org>  Tue, 15 May 2012 19:37:01 +0200
